# This file is part of python-cinema-club-bot
# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>

# To the extent possible under law, the author(s) have dedicated all copyright
# and related and neighboring rights to this software to the public domain
# worldwide. This software is distributed without any warranty.

# You should have received a copy of the CC0 Public Domain Dedication along
# with this software. If not, see:
# <http://creativecommons.org/publicdomain/zero/1.0/>

INVALID_COMMAND = "Invalid command. Available commands: /add /list /remove /chooser /about"

MOVIE_ANOTHER_USER = "Movie should choose another user ({user})"
MOVIE_NOT_PROVIDED = "Movie IMDB id is not provided. Use /movie <imdb_id>"
MOVIE_NOT_FOUND = "Movie not found on IMDB"
EXPECTED_ONE_MOVIE = "Expected only one movie"
FETCHING_MOVIE = "Movie with ID {id} is being fetched: https://imdb.com/title/tt{id}/"
FETCHING_ERROR = "Couldn't fetch movie or it is not found. Provide IMDB id, for example: 0133093"
MOVIE_REMOVE = "Movie \"{title}\" with id {id} has been removed"
MOVIE_SET = "Movie \"{title}\" proposed by {user} is succesfully set as next to watch"
MOVIES_LIST = "\"{title}\" by {user} \n"
NO_MOVIES = "No movies.  You can add movie if you are next to choose (see /next). Too add a movie use /movie <imdb_id>"

USER_NOT_FOUND = "Provided user ({user}) not found. Check /list"
USER_NOT_PROVIDED = "User(s) is not provided"
EXPECTED_ONE_USER = "Expected only one user"
ADD_MORE_USERS = "There is no users added. You can add people who can choose movies using /add nickname"
NEXT_MOVIE_USER = "Next movie choice is up to {user}"
NEXT_MOVIE = " and they have choosen to watch \"{movie}\""

USERS_ADDED = "Users have been added successfully. Use /list to view."
USER_REMOVE = "User {user} has been removed. Use /list to view."
USERS_REMOVED = "Users has been removed"
USER_SET = "Users have been set successfully. Use /list to view."
USER_CHOOSE = "Next movie should choose: {user}"
NO_USERS = "No user added. You can add users by /add <nickname1> <nickname2>"

EVENT_INVALID_DATETIME = """
Can't parse provided datetime. It should comply template like this:
/event 1.08.2024/18:00 <where>
"""
EVENT_CANT_BE_IN_PAST = "Event can't happen in the past. You set {when}, but now is {today}"
EVENT_ARGS_NOT_PROVIDED = """
Event commands need arguments provided:
/event <when> <where>
/event 1.08.2024/18:00 84 Erevan Str 1st entrance 7 floor 451 apartment
"""
EVENT_WHERE_NOT_PROVIDED = """
Second <where> argument is not provided and previous event doesn't has it.
/event <when> <where>
/event 1.08.2024/18:00 84 Erevan Str 1st entrance 7 floor 451 apartment
"""

EVENT_CREATED = "Event \"{movie}\" at {when} was created"
EVENT_EDITED = "Event \"{movie}\" at {old_when} in {old_where} was modified to {when} in {where}"
EVENTS_LIST = "[{status}] \"{movie}\" by {user} at {when} in {where}\n"
EVENTS_LIST_MOVIE_SET = "[{status}] \"{movie}\" by {user}\n"
EVENTS_LIST_PLANNING = "[{status}] by {user}\n"
EVENT_MOVIE_NOT_CHOOSEN = "You should choose a film first using /movie <imdb_id>"
EVENT_MOVIE_NOT_SET = "<None>"
EVENT_USER_HAD_MOVIE = "User {user} can't set the sa, so he can't choose twice. See /next or /list"
EVENT_FINISHED = "Event is finished. Use /next to see who chooses a film now."
NO_EVENTS = "No events."

UNDEFINED_ERROR = "Exception: something unexpected happened. Check the logs."

ANNOUNCEMENT_EVENT_NEEDS_EDITING = "Event is missing either Movie, When or Where fields. See /event"
ANNOUNCEMENT_FINISHED_EVENT = "There is no planned events. Create one using /event <when> <where>"
ANNOUNCEMENT_TEMPLATE = """
{intro}

Movie: {movie_title}
Choosen by: @{user}
Runtime: {movie_runtime} minutes

When: {when}
Where: {where}

Rating: {rating}
Genres: {genres}

https://imdb.com/title/tt{movie_id}/
"""

ABOUT = """
v{version} #{commit}

python-cinema-club-bot is a bot for Telegram specialized for managing cinema club activities. This software is released as Public Domain using CC0 license.

Project information: http://57.129.46.169/trac/wiki/python-cinema-club-bot
Source code: http://57.129.46.169/cgit/python-cinema-club-bot/

Contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>

To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights to this software to the public domain worldwide. This software is distributed without any warranty.

You should have received a copy of the CC0 Public Domain Dedication along with this software. If not, see: <http://creativecommons.org/publicdomain/zero/1.0/>
    """
